# Interface HTMLTextAreaElement

All Superinterfaces:
  `Element, HTMLElement, Node`

public interface HTMLTextAreaElement extends HTMLElement
Multi-line text field. See the TEXTAREA element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

## Field Summary

### Fields declared in interface Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Method Summary

Modifier and Type
Method
Description
`void`
`blur()`
Removes keyboard focus from this element.
`void`
`focus()`
Gives keyboard focus to this element.
`String`
`getAccessKey()`
A single character access key to give access to the form control.
`int`
`getCols()`
Width of control (in characters).
`String`
`getDefaultValue()`
Represents the contents of the element.
`boolean`
`getDisabled()`
The control is unavailable in this context.
`HTMLFormElement`
`getForm()`
Returns the `FORM` element containing this control.
`String`
`getName()`
Form control or object name when submitted with a form.
`boolean`
`getReadOnly()`
This control is read-only.
`int`
`getRows()`
Number of text rows.
`int`
`getTabIndex()`
Index that represents the element's position in the tabbing order.
`String`
`getType()`
The type of this form control.
`String`
`getValue()`
Represents the current contents of the corresponding form control, in an interactive user agent.
`void`
`select()`
Select the contents of the `TEXTAREA` .
`void`
`setAccessKey(String accessKey)`
`void`
`setCols(int cols)`
`void`
`setDefaultValue(String defaultValue)`
`void`
`setDisabled(boolean disabled)`
`void`
`setName(String name)`
`void`
`setReadOnly(boolean readOnly)`
`void`
`setRows(int rows)`
`void`
`setTabIndex(int tabIndex)`
`void`
`setValue(String value)`

### Methods declared in interface Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods declared in interface HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods declared in interface Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Method Details

### getDefaultValue

String getDefaultValue()
Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes. Changing this attribute, however, resets the contents of the form control.

### setDefaultValue

void setDefaultValue(String defaultValue)

### getForm

HTMLFormElement getForm()
Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

### getAccessKey

String getAccessKey()
A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

### setAccessKey

void setAccessKey(String accessKey)

### getCols

int getCols()
Width of control (in characters). See the cols attribute definition in HTML 4.0.

### setCols

void setCols(int cols)

### getDisabled

boolean getDisabled()
The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

### setDisabled

void setDisabled(boolean disabled)

### getName

String getName()
Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

### setName

void setName(String name)

### getReadOnly

boolean getReadOnly()
This control is read-only. See the readonly attribute definition in HTML 4.0.

### setReadOnly

void setReadOnly(boolean readOnly)

### getRows

int getRows()
Number of text rows. See the rows attribute definition in HTML 4.0.

### setRows

void setRows(int rows)

### getTabIndex

int getTabIndex()
Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

### setTabIndex

void setTabIndex(int tabIndex)

### getType

String getType()
The type of this form control. This the string "textarea".

### getValue

String getValue()
Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single `DOMString` , the implementation may truncate the data.

### setValue

void setValue(String value)

### blur

void blur()
Removes keyboard focus from this element.

### focus

void focus()
Gives keyboard focus to this element.

### select

void select()
Select the contents of the `TEXTAREA` .